%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%define debug_package %{nil} 

Name:		libsmdev
Version:	20171105
Release:	1%{?dist}
Summary:	Library to access and read storage media (SM) devices
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-alpha-%{version}.tar.gz
URL:		https://github.com/libyal/libsmdev/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
        
        

%description
libsmdev is library to access and read storage media (SM) devices

%package devel
Summary:	Header files and libraries for developing applications for libsmdev
Group:		Development/Libraries
Requires:	libsmdev = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libsmdev.


%package tools
Summary:	Several tools for accessing optical disc table of contents (TOC) files
Group:		Applications/System
Requires:	libsmdev = %{version}-%{release} 

%description tools
Several tools for accessing storage media (SM) devices

%package python
Summary:		Python 2 bindings for libsmdev
Group:		System Environment/Libraries
Requires:		libsmdev = %{version}-%{release} %(basename %{__python})
BuildRequires:		%(basename %{__python})-devel

%description python
Python 2 bindings for libsmdev

%if 0%{?centos} != 6
%package python3
Summary: Python 3 bindings for libsmdev
Group: System Environment/Libraries
Requires: libsmdev = %{version}-%{release} python3
BuildRequires: python3-devel

%description python3
Python 3 bindings for libsmdev
%endif

%prep
%setup -q

%build
%if 0%{?centos} == 6
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%endif
%if 0%{?rhel} == 5
sed --in-place 's/^CC.*=.*gcc$/CC = gcc -std=c99/' pysmdev/Makefile
%endif
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libsmdev.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/smdevinfo
%{_mandir}/man1/*

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%if 0%{?centos} != 6
%files python3
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Sun Nov  5 2017 Lawrence R. Rogers <lrr@cert.org) 20171105-1
* Release 20171105-1
	Version 20171105.

* Wed Jan 25 2017 Lawrence R. Rogers <lrr@cert.org) 20170225-1
* Release 20170225-1
	Version 20170225.

* Sun Mar 20 2016 Lawrence R. Rogers <lrr@cert.org) 20160320-1
* Release 20160320-1
	20160320
	* worked on support for devices without bytes per sector support e.g. /dev/zero

	20160111
	* Changes to Python bindings

* Sat Jan  9 2016 Lawrence R. Rogers <lrr@cert.org) 20160109-1
* Release 20160109-1
	20160109
	* worked on Python 3 support
	* fixes for rpmbuild

	20160108
	* 2016 update
	* worked on Python 3 support

* Sat Dec 19 2015 Lawrence R. Rogers <lrr@cert.org) 20151219-1
* Release 20151219-1
	20151219
	* updated dependencies

* Wed Dec 16 2015 Lawrence R. Rogers <lrr@cert.org) 20151216-1
* Release 20151216-1
	20151216
	* block aligned read now enabled by default

	20150905
	* updated dependencies

* Sun May 31 2015 Lawrence R. Rogers <lrr@cert.org) 20150105-2
* Release 20150105-2
	Libuna GCC-5 Patch

* Mon Jan  5 2015 Lawrence R. Rogers <lrr@cert.org) 20150105-1
* Release 20150105-1
	20150105
	* 2015 update
	* fixed copyright in pysmdev/pysmdev_handle.c

	20141229
	* updated dpkg files
	* updated dependencies
	* updated .gitignore

	20141225
	* worked on Python 3 support

	20141129
	* code clean up

	20141027
	* changes for deployment

* Tue Oct 21 2014 Lawrence R. Rogers <lrr@cert.org) 20141021-1
* Release 20141021-1
	20141021
	* changes for deployment

* Sat Oct  4 2014 Lawrence R. Rogers <lrr@cert.org) 20141004-1
* Release 20141004-1
	20141004
	* bug fix in Python-bindings

	20140928
	* removed README.macosx
	* changes for project site move

* Thu Jul  3 2014 Lawrence R. Rogers <lrr@cert.org) 20140803-1
* Release 20140803-1
	20140803
	* bug fix in Python-bindings

	20140728
	* updated python.m4
	* updated dpkg files

* Fri May 30 2014 Joachim Metz <joachim.metz@gmail.com> 20140529-1
	Initial release
